آسیب پذیری خطرناک SSL-VPN فایروالهای Fortigate

bpapir 26 آذر, 1401 0 Comments

آسیب‌پذیری در FortiOS SSL-VPN که به تازگی توسط فورتی نت اعلام شده است ضعف امنیتی خطرناکی از نوع سرریز بافر مبتنی بر پشته (heap based buffer) با امتیاز CVSS 9.3 می‌باشد. این نقص فنی که در FortiOS SSL-VPN وجود دارد به مهاجم اجازه دسترسی از راه دور برای اجرای کدهای مورد نظرش را می‌دهد. لازم است بدانید مهاجم برای اکسپلویت این ضعف امنیتی نیاز به احراز هویت نیز ندارد.

وضعیت اکسپلویت

از آنجایی که تا به حال موارد زیادی مبنی بر اکسپلویت این آسیب‌‌پذیری گزارش شده است، فورتی نت IoC های زیر را در راستای شناسایی ارائه کرده است:

لاگین‌های متعدد با:

Logdesc=”Application crashed” and msg=”[…] application:sslvpnd,[…], Signal 11 received, Backtrace: […]“

وجود artifactهای زیر در filesystem

/data/lib/libips.bak
/data/lib/libgif.so
/data/lib/libiptcp.so
/data/lib/libipudp.so
/data/lib/libjepg.so
/var/.sslvpnconfigbk
/data/etc/wxd.conf
/flash

وجود ارتباط‌ بین فورتی گیت با آدرس‌های IP زیر:

۱۸۸٫۳۴٫۱۳۰٫۴۰:۴۴۴
۱۰۳٫۱۳۱٫۱۸۹٫۱۴۳:۳۰۰۸۰,۳۰۰۸۱,۳۰۴۴۳,۲۰۴۴۳
۱۹۲٫۳۶٫۱۱۹٫۶۱:۸۴۴۳,۴۴۴
۱۷۲٫۲۴۷٫۱۶۸٫۱۵۳:۸۰۳۳

فهرست محصولات آسیب‌پذیر
  • FortiOS نسخه ۷٫۲٫۰ تا ۷٫۲٫۲
  • FortiOS نسخه ۷٫۰٫۰ تا ۷٫۰٫۸
  • FortiOS نسخه ۶٫۴٫۰ تا ۶٫۴٫۱۰
  • FortiOS نسخه ۶٫۲٫۰ تا ۶٫۲٫۱۱
  • FortiOS-6K7K  نسخه ۷٫۰٫۰ تا ۷٫۰٫۷
  • FortiOS-6K7K  نسخه ۷٫۰٫۰ تا ۷٫۰٫۷
  • FortiOS-6K7K  نسخه ۶٫۴٫۰ تا ۶٫۴٫۹
  • FortiOS-6K7K  نسخه ۶٫۲٫۰ تا ۶٫۲٫۱۱
  • FortiOS-6K7K  نسخه ۶٫۰٫۰ تا ۶٫۰٫۱۴
راهکارها
  • ارتقا به FortiOS نسخه ۷٫۲٫۳ و یا بالاتر
  • ارتقا به FortiOS نسخه ۷٫۰٫۹ و یا بالاتر
  • ارتقا به FortiOS نسخه ۶٫۴٫۱۱ و یا بالاتر
  • ارتقا به FortiOS نسخه ۶٫۲٫۱۲ و یا بالاتر
  • ارتقا به FortiOS-6K7K  نسخه ۷٫۰٫۸ و یا بالاتر
  • ارتقا به FortiOS-6K7K  نسخه ۶٫۴٫۱۰ و یا بالاتر
  • ارتقا به FortiOS-6K7K  نسخه ۶٫۲٫۱۲ و یا بالاتر
  • ارتقا به FortiOS-6K7K  نسخه ۶٫۰٫۱۵ و یا بالاتر

مرجع: CVE-2022-42475

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد.

error: شما اجازه کپی کردن ندارید !!